%global __brp_mangle_shebangs_exclude_from ^%{_datadir}/%{name}/collections/.*$

Name:      foremanctl
Version:   0.0.1.1
Release:   0.20250618054917154572.pr192.8.g840faf9%{?dist}
Summary:   Install Foreman using containers

License:   GPL-2-only
URL:       https://github.com/theforeman/foremanctl
Source:    foremanctl-0.0.2.tar.gz

BuildArch: noarch
Requires:  python3-obsah >= 1.3

# These are needed on the target host, which is usually localhost
Recommends:  podman
Recommends:  python3-libsemanage
Recommends:  python3-psycopg2

# Tab completion is nice to have
Suggests:  bash-completion
Suggests:  python3-argcomplete

%description
Install Foreman using containers. They are deployed as podman quadlets.

%prep
%setup -q -n foremanctl-0.0.2

%build
cat > inventories/quadlet <<INVENTORY
[quadlet]
localhost ansible_connection=local
INVENTORY

sed -i '/^OBSAH_BASE=/ s|=.\+|=%{_datadir}/%{name}|' %{name}
sed -i '/^OBSAH_INVENTORY=/ s|=.\+|=%{_sysconfdir}/%{name}/inventory|' %{name}
sed -i '/^OBSAH_STATE=/ s|=.\+|=%{_sharedstatedir}/%{name}|' %{name}
sed -i '/^ANSIBLE_COLLECTIONS_PATH=/ s|=.\+|=%{_datadir}/%{name}/collections|' %{name}

%install
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -d -m0755 %{buildroot}%{_bindir}
install -d -m0750 %{buildroot}%{_sharedstatedir}/%{name}

cp inventories/quadlet %{buildroot}%{_sysconfdir}/%{name}/inventory
cp -r src %{buildroot}%{_datadir}/%{name}
cp -r %{name} %{buildroot}%{_bindir}/%{name}
cp -r build/collections/%{name} %{buildroot}%{_datadir}/%{name}/collections


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%{_sharedstatedir}/%{name}


%changelog
* Wed Jun 18 2025 Packit <hello@packit.dev> - 0.0.1.1-0.20250618054917154572.pr192.8.g840faf9
- Release 0.0.2 (Evgeni Golov)
- Split container image and tag variables for Redis (Eric D. Helms)
- Wrap Candlepin version in quotes (Eric D. Helms)
- Align Pulp container image and tag variables (Eric D. Helms)
- move setup-repositories to an own command (Evgeni Golov)
- add hammer role (Evgeni Golov)
- Mount Pulp volumes for database migration (Eric D. Helms)
- make dist with a lock file, if there is one (Evgeni Golov)
